/* A testbed for the parsing section of SEC.CMD
   The following command line, split into 4 lines
   for clarity, performs 4 passes.
*/
PARSE ARG drive dec .,
    1 '0x' hex .,
    1 '0y' y1 y2 y3 y4 .,
    1 . cyl '/' hd '/' sec .

IF drive = '' | dec = '' THEN CALL Help

CALL Show 'Drive' drive
CALL Show 'Dec'     dec
CALL Show 'Hex'     hex
CALL Show 'Y1'      y1
CALL Show 'Y2'      y2
CALL Show 'Y3'      y3
CALL Show 'Y4'      y4
CALL Show 'Cyl'     cyl
CALL Show 'Head'    hd
CALL Show 'Sec'     sec

SAY
SAY 'Output:'
IF hex = '' & y1 = '' & hd = '' & sec = '' THEN
   SAY 'SEC' drive dec

IF hex \= '' THEN
   SAY 'SEC' drive '0x'hex

IF Y1 \= '' THEN
   DO
   y = Right('00'y4,2)||Right('00'y3,2)||Right('00'y2,2)||Right('00'y1,2)
   SAY 'SEC' drive '0x'y
   END

IF sec \= '' THEN SAY 'SEC' drive 'cyl'cyl||' hd'hd||', sec'sec
EXIT       /************ END OF PROGRAM ************/


Show:
PARSE ARG label aa
SAY label '<'aa'>'
RETURN


Help:
SAY
SAY "In Help Section"
SAY
EXIT
